{
  "name": "dwp-alus",
  "version": "1.0.0",
  "description": "Acronym Lookup Service",
  "main": "src/index.js",
  "scripts": {
    "build:sass": "sass --quiet assets/stylesheets/main.scss assets/css/main.css",
    "build:js": "cp ./node_modules/govuk-frontend/govuk/all.js ./src/assets/js/all.js",
    "build:assets": "npm run build:sass && npm run build:js",
    "test": "echo \"Error: no test specified\" && exit 1",
    "prestart": "npm install --build-from-source",
    "start": "nodemon src/app.js",
    "test:unit": "mocha \"tests/unit/**/*.test.js\"",
    "lint": "npx eslint . --ext .js",
    "quality:coverage": "nyc --report-dir coverage/unit npm run test:unit",
    "ncu": "npx npm-check-updates -u"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@dwp/node-logger": "^2.0.2",
    "@hapi/joi": "^17.1.1",
    "@ministryofjustice/frontend": "^2.2.0",
    "axios": "^1.7.3",
    "bcryptjs": "^2.4.3",
    "chai": "^5.1.1",
    "chai-as-promised": "^8.0.0",
    "chai-http": "^5.0.0",
    "cors": "^2.8.5",
    "dotenv": "^16.4.5",
    "ejs": "^3.1.10",
    "express": "^4.19.2",
    "express-session": "^1.18.0",
    "freemarker": "^2.0.1",
    "govuk-frontend": "^5.5.0",
    "helmet": "^7.1.0",
    "joi": "^17.13.3",
    "jsonwebtoken": "^9.0.2",
    "md5": "^2.3.0",
    "mocha": "^10.7.3",
    "nodemon": "^3.1.4",
    "nunjucks": "^3.2.4",
    "nyc": "17.0.0",
    "path": "^0.12.7",
    "react": "^18.3.1",
    "rewire": "^7.0.0",
    "sass": "^1.77.8",
    "sinon": "^18.0.0",
    "sinon-chai": "^4.0.0",
    "sqlite": "^5.1.1",
    "sqlite3": "^5.1.7",
    "uuid": "^10.0.0"
  },
  "devDependencies": {
    "eslint": "^9.9.0"
  },
  "nyc": {
    "exclude": "src/sqlite/**"
  }
}
